在CATIA中創建掃描肋(Rib)

在CATIA中創建掃描肋(Rib)
在CATIA中Rib命令(官方給出的翻譯是“肋”?)實際上是一個實體掃描命令,但它有多種掃描方式,下面對其進行一一介紹。 1、中心線-法向截面掃描 這是最常用的方式,指定一個中心線,選擇一個中心線的法向截面,進行常規的掃略操作。 2、提供參考曲面 如果我們給空間曲面創建Rib肋或加強筋時,如果創建的肋和曲面不貼合,可以...

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit
在CATIA的VBA/VBS二次開發中可以使用AddNewSplit命令進行實體切割,此命令屬于ShapeFactory類中的方法,函數定義如下: Func AddNewSplit( Reference  iSplittingElement,  CatSplitSide  iSplitSide) As Split 其中:iSplittingElement為切割參考元素;iSplitSide為切割後保留哪一側的選項,有catPositiveSide和catNe...

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼
在CATIA VBA(VBS)二次開發中可以使用Copy、PasteSpecial方法對選擇集進行複制粘貼。示例代碼如下: Sub CATMain() Dim Doc, Prt, SF, Slct, BodyO, BodyN Set Doc = CATIA.ActiveDocument Set Prt = Doc.Part Set Slct = Doc.Selection Dim Status, lType(0) lType(0) = "Body" Status = Slct.SelectElement2(lTy...

CATIA VBA(VBS) 二次開發中的選擇過濾器

CATIA VBA(VBS) 二次開發中的選擇過濾器
在文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》中介紹了在CATIA中使用SelectElement2方法進行用戶交互選擇。在使用SelectElement2進行選擇時需要設置選擇過濾器,CATIA CAA Visual Basic中提供了如下兩類選擇過濾器: 直接使用對象名稱作為過濾器關鍵字,如HybridBody、HybridShape、Body、Plane、Point、Line等;使用枚舉類CAT...

CATIA在DMU中通過函數關系式控制運動副的運動速度

CATIA在DMU中通過函數關系式控制運動副的運動速度
在CATIA DMU中可以通過函數關系式控制運動副的運動速度。完成運動副的添加後,點擊Formula命令按鈕打開函數編輯對話框。 在結構樹上的機構(Mechanism)下找到Commands中的驅動命令,在Formula對話框中雙擊即可對其進行編輯。函數關系式的變量為時間變量KINTime。 注意: CATIA中關系的編輯是要帶着單位的,如上圖的驅動命...

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆
下面以幾何元素部件集Geometrical set的選擇、創建、遍曆和元素的插入為例介紹在CATIA中使用VBA(VBS)二次開發時部件集的操作方法。 Sub catmain() 'Geometrical set 的選擇 Dim iSelection Set iSelection = CATIA.ActiveDocument.Selection Dim iStatus, iType(0) iType(0) = "HybridBody" iStatus = iSelection.Se...

CATIA在VBA(VBS)二次開發中使用HybridShapeFactory創建标準圖形曲面的方法

CATIA在VBA(VBS)二次開發中使用HybridShapeFactory創建标準圖形曲面的方法
下面以一個球形曲面的創建為例,介紹在CATIA中使用VBA(VBS)進行二次開發時通過HybridShapeFactory類創建标準圖形曲面的方法。示例代碼如下:(代碼中有關對象選擇的詳細介紹可參考文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》。) Sub catmain() Dim iSelection Set iSelection = CATIA.ActiveDocument.Selection Di...

CATIA使用VBA(VBS)二次開發時用戶的交互選擇

CATIA使用VBA(VBS)二次開發時用戶的交互選擇
在CATIA中使用VBA(VBS)二次開發時,可以使用SelectElement2方法來進行交互,實現用戶的選擇,使用Item2來獲取選擇集中的元素。此方法可以進行基準面、點、線、曲面、實體等任意類的選擇。用戶交互選擇示例代碼如下: Sub catmain() Dim iSelection Set iSelection = CATIA.ActiveDocument.Selection Dim iStatus, iType(0) ...

在CATIA二次開發中使用VBA(VBS)的TypeName函數獲取文檔類型

在CATIA二次開發中使用VBA(VBS)的TypeName函數獲取文檔類型
在CATIA二次開發中可以使用VBA(VBS)的TypeName函數獲取文檔類型,TypeName函數的定義如下: TypeName(varname) 參數 varname 是一個Variant , 它包含除用戶定義類型的變量之外的任何變量。此函數返回一個提供有關變量的信息的 String。由 TypeName 返回的字符串可以為下列任一項: 返回的字符串變量對象類型類型為 objecttype ...

CATIA使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字

CATIA使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字
在CATIA工程圖中制作标題欄、明細表時均需進入CATIA工程圖的背景模式中(Sheet Background)。以下代碼為在CATIA中使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字的方法。 Sub catmain() Dim lBView,lFact,lTexts,Ln,lView Dim LH,LW,Tx Set lView = CATIA.ActiveDocument.Sheets.ActiveSheet.Views.ActiveView Set lBView = CATIA...